## timecube-dmo 3

=== debian/changelog ===
timecube-dmo (3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Sep 2020 07:48:20 +0200

timecube-dmo (2a-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Mar 2019 14:49:29 +0100
