=== debian/control ===
Source: timecube-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sekrit-twc/timecube
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), vapoursynth-dev

Package: vapoursynth-timecube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vapoursynth
Description: Simultaneous 4-day time cube
 When the Sun shines upon Earth, 2 – major Time points are created on
 opposite sides of Earth – known as Midday and Midnight. Where the 2 major
 Time forces join, synergy creates 2 new minor Time points we recognize as
 Sunup and Sundown. The 4-equidistant Time points can be considered as Time
 Square imprinted upon the circle of Earth. In a single rotation of the
 Earth sphere, each Time corner point rotates through the other 3-corner
 Time points, thus creating 16 corners, 96 hours and 4-simultaneous 24-hour
 Days within a single rotation of Earth – equated to a Higher Order of Life
 Time Cube.
