=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:

	dh_install vscube.so /usr/lib/$(DEB_HOST_MULTIARCH)/vapoursynth

override_dh_installdocs:
	dh_installdocs README.md
