=== debian/watch ===
version=4

https://github.com/sekrit-twc/timecube/releases \
(?:.*?/)?r?(\d[\d.]*)@ARCHIVE_EXT@
