=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/sekrit-twc/timecube
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), vapoursynth-dev
 
 Package: vapoursynth-timecube
