=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+
+# Needed
+# git clone https://github.com/sekrit-twc/vsxx/tree/ac2ba81f85a5acf9bb38ec1663b4b41927855705
 
 %:
 	dh $@
